GFS_ACL_DUP(3)

NAME
gfs_acl_dup - duplicate a Gfarm ACL structure

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_dup(gfarm_acl_t *acl_dst_p, gfarm_acl_t acl_src);

INPUT ARGUMENTS

acl_dst_p
    A pointer of ACL structure type for destination.

acl_src
    An ACL structure type for source.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_free(3), gfs_acl_get_entry(3)